Subject: [bug#30647] [PATCH] guix build: Support '--remote-log-file=PACKAGE'.

From: [email-masked] (Ludovic Courtès)
Date: Wed, 28 Feb 2018 23:13:45 +0100

Hello Oleg,

Oleg Pykhalov <[email-masked]> skribis:

> ‘--remote-log-file’ allows to get a URL for a build log file on a substitute
> server regardless is it built locally.  ‘--log-file’ returns always local
> build log file.

What did you think of having ‘--log-file’ transparently fall back to
searching for log files on substitute servers?

I find it handy, but also wondered if it might surprise users that such
a trivially-looking option connects to external servers.  I thought
about having it print something when it does so.  Would address your
concerns?

Thanks,
Ludo’.